# $Revision: 1.39 $, $Date: 2002/08/16 11:34:11 $
Summary:	Project manager
Summary(pl):	Zarzdca projektw
Name:		ToutDoux
Version:	1.2.6
Release:	7
License:	GPL
Group:		Applications/Databases
Source0:	http://toutdoux.sourceforge.net/pub/toutdoux/%{name}-%{version}.tar.gz
Patch0:		%{name}-xml.patch
Patch1:		%{name}-configure.patch
Patch2:		%{name}-am16.patch
URL:		http://toutdoux.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	docbook-utils >= 0.6.10
BuildRequires:	gdk-pixbuf-devel >= 0.9.0
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	gnome-libs-devel
BuildRequires:	html-dtd401-sgml
BuildRequires:	libtool
BuildRequires:	libxml-devel
BuildRequires:	postgresql-devel >= 7.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
ToutDoux is a project manager which permits management with different
views (based on plugins). For example, you can design a plan of
actions using a tree structure.

%description -l pl
ToutDoux jest programem do zarzdzania projektami pozwalajcym na
uwzgldnianie rnych punktw widzenia (bazujc na pluginach). Moesz
np. projektowa plan zada uywajc struktury drzewiastej.

%package devel
Summary:	%{name} libraries, includes, etc
Summary(pl):	%{name} - pliki nagwkowe, etc
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for %{name}.

%description -l pl devel
Pliki nagwkowe etc do %{name}.

%package static
Summary:	%{name} static libraries
Summary(pl):	Biblioteki statyczne hOpla
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
%{name} static libraries.

%description -l pl static
Biblioteki statyczne z funkcjami %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
aclocal -I %{_aclocaldir}/gnome -I macros
%{__autoconf}
%{__automake}
%configure  \
	--with-gnome 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gmenudir=%{_applnkdir}/Utilities

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README doc/en/toutdoux/*
%attr(755,root,root) %{_bindir}/toutdoux
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/toutdoux
%dir %{_libdir}/toutdoux/plugins
%attr(755,root,root) %{_libdir}/toutdoux/plugins/lib*.so*
%dir %{_pixmapsdir}/toutdoux
%{_pixmapsdir}/toutdoux/*
%{_pixmapsdir}/*.*
%{_datadir}/toutdoux
%{_applnkdir}/*/*
%{_datadir}/mime-info/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/toutdoux

%files static
%defattr(644,root,root,755)
%{_libdir}/toutdoux/plugins/lib*.a
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ToutDoux.spec,v $
Revision 1.39  2002/08/16 11:34:11  qboosh
- BR: docbook-utils

Revision 1.38  2002/08/14 09:48:10  marcus
- fixed %%doc

Revision 1.37  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.36  2002/06/11 23:19:46  kloczek
- added am16 patch (fixed blank line following trailing backslash in am files).

Revision 1.35  2002/06/11 23:02:42  kloczek
- bump release to 7 for sync between avalaible archs.

Revision 1.34  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/05/18 20:19:27  marcus
- removed --with-included-gettext from %%configure
- rel.6.

Revision 1.32  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.31  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/02/02 20:39:13  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.29  2002/01/18 02:12:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/11/17 21:28:08  filon
- added configure patch, now configure rebuilds
- fixed typo
- release5, STBR

Revision 1.27  2001/10/03 16:45:20  filon
- added require devel in static subpkg
- release 4

Revision 1.26  2001/09/26 09:12:24  qboosh
- BuildRequires: autoconf, automake, gettext-devel

Revision 1.25  2001/07/18 03:20:04  kloczek
- spec adapterized.

Revision 1.24  2001/05/08 02:19:35  kloczek
- release 3: rebuild against postgresql 7.1 and make libttol hapy.

Revision 1.23  2001/04/06 22:21:16  kloczek
- release 2.

Revision 1.22  2001/04/06 19:57:14  misiek
fixed xml file

Revision 1.21  2001/04/06 17:21:14  misiek
merge with previous version

Revision 1.20  2001/04/06 17:16:24  misiek
project manager

Revision 1.19  2001/03/11 13:38:53  kloczek
- updated to 1.2.6.

Revision 1.18  2001/03/03 15:00:37  kloczek
- release 3: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.17  2001/02/02 17:50:32  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.16  2000/10/30 20:17:39  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.15  2000/10/26 12:29:37  kloczek
- updated to 1.2.4,
- use new rpm automation.

Revision 1.14  2000/08/24 12:59:59  kloczek
- removed TODO from %doc.

Revision 1.13  2000/08/24 00:44:13  kloczek
- updated to 1.2.3.

Revision 1.12  2000/08/23 13:14:55  kloczek
- updated to 1.2.2.

Revision 1.11  2000/07/17 00:11:17  kloczek
- release 2,
- rebuild against postgresql >= 7.0.

Revision 1.10  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/29 21:15:42  kloczek
- added postgresql-devel to BuildRequires.

Revision 1.7  2000/05/29 19:50:53  kloczek
- updated to 1.2.1,
- added devel subpackage,
- removed outdated DESTDIR patch,
- updated %files list.

Revision 1.6  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 11:02:44  arturs
typo

Revision 1.2  2000/03/25 02:50:26  arturs
- added %description -l pl

Revision 1.1  2000/02/17 18:36:07  kloczek
- firs release.
